Name:		qubes-core-admin-client
Version:    4.3.8
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	make
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
BuildRequires:	python%{python3_pkgversion}-lxml
BuildRequires:	python%{python3_pkgversion}-xcffib
BuildRequires:	python%{python3_pkgversion}-tqdm
BuildRequires:	python%{python3_pkgversion}-yaml
BuildRequires:	python%{python3_pkgversion}-pyxdg
BuildRequires:  python%{python3_pkgversion}-rpm
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
Requires:   qubes-repo-templates
Requires:   scrypt
Requires:   qubes-rpm-oxide >= 0.2.3
Requires:   xrandr
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz
Conflicts:  qubes-core-agent < 4.1.9
# qubes-guid -C option
Conflicts:  qubes-gui-daemon < 4.1.7

%description
This package include management tools, like qvm-*.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Requires:   python%{python3_pkgversion}-qubesdb
Requires:   python%{python3_pkgversion}-rpm
Requires:   python%{python3_pkgversion}-tqdm
Requires:   python%{python3_pkgversion}-pyxdg
Requires:   python%{python3_pkgversion}-xlib
Conflicts:  qubes-core-dom0 < 4.3.12
Conflicts:  qubes-manager < 4.3.7

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-daemon.desktop
%config /etc/xdg/autostart/qvm-start-daemon-kde.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin
/etc/qubes/post-install.d/30-keyboard-layout-service.sh

%changelog
* Tue Dec 17 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client.git

* Tue Dec 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7811743
- version 4.3.8

* Mon Dec 16 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 34d5e8d
- Sync device_protocol with core-admin

* Sat Dec 14 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d90bd1f
- Make "multimedia" devices more detailed

* Fri Dec 13 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0f3fb1b
- qvm-template: Be explicit about UTC timezone

* Fri Dec 13 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c54c952
- Fix a lot of pylint issues

* Fri Dec 13 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b164039
- tests: drop python2 handling

* Fri Dec 13 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 799d2c6
- Enable pylint in tests

* Fri Dec 13 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cf42384
- Add copyright header to qvm_template tests

* Wed Dec 11 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 2a054c5
- Add event mock and various improvements to mock API

* Mon Nov 18 2024 Aaron Rainbolt <arraybolt3@ubuntu.com> - ab72538
- Add events_max_delay setting for qubes-gui-daemon

* Sun Nov 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2a57695
- version 4.3.7

* Sun Nov 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4b43784
- rpm: adjust dependencies for new devices API

* Fri Nov 15 2024 Ali Mirjamali <ali@mirjamali.com> - ff71bc2
- Report XRandR display size for lodpi displays

* Tue Nov 12 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4a7fc26
- Allow vm class to be given as positional argument to clone_vm

* Fri Nov 08 2024 Ali Mirjamali <ali@mirjamali.com> - 53f7b09
- Ignore invalid GUI related features and options

* Mon Nov 04 2024 Ali Mirjamali <ali@mirjamali.com> - 177cd2e
- Avoid spaces in values for `admin.vm.Create` calls

* Tue Oct 29 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 250fc05
- q-dev: fix tests and pylint

* Tue Oct 29 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - a627696
- q-dev: less scary device category names

* Tue Oct 29 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - ca725e7
- q-dev: fix default behavior of qvm-device *CLASS*

* Sun Oct 27 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ee57bf1
- version 4.3.6

* Sun Oct 27 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f1d794c
- doc: drop intersphinx mapping

* Sun Oct 27 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e0c418e
- ci: update to R4.3

* Fri Oct 25 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - ecdcd5e
- q-dev: update docs

* Mon Oct 21 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - a6d25ab
- q-dev: do not suggest attaching pci devices

* Mon Oct 21 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 8faaad0
- q-dev: prettier device data printing

* Fri Oct 18 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - c77ed55
- q-dev: pylint + black

* Tue Oct 15 2024 Simon Gaiser <simon@invisiblethingslab.com> - 886364e
- qvm-start-daemon: Pass KDE specific guid arguments for stubdomain too

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 05115ae
- q-dev: add short way to create DeviceAssignment

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 2a6841d
- q-dev: introduce AnyPort

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - f602a3d
- q-dev: minor device_protocol fixes

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - d019190
- q-dev: fix comparison of Ports

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 922bce8
- q-dev: fix qvm-device

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 250afc8
- q-dev: allow auto-attach of microphone

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 871f3f3
- q-dev: ignore mode of currently attached devices

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - e09ab84
- q-dev: add flag to device listing

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 469ee24
- q-dev: allow mic auto-attachment

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - f067f22
- q-dev: patching up qvm-device info

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 46626fb
- q-dev: fixes corner cases in attach/assign

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 7ec56ae
- q-dev: fixes of devices assignment fronted

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - fe4f02b
- q-dev: fix loading devices in event handling

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - a5da230
- q-dev: filter out not allowed arguments during detach

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - a5086b6
- q-dev: filter out not allowed arguments during attach

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 3454222
- q-dev: fix check if device is attached after assignment

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 5fc60a7
- q-dev: extend backward compatibility of `attach --persistent`

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 65f7311
- q-dev: prettier info output

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 50fef48
- q-dev: print "Error:" before error message

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - c5441df
- q-dev: Attention -> Warning

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 78f183d
- q-dev: default qubes app

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - c097b6f
- q-dev: make pci can be only assigned as required

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 0ccf3a5
- q-dev: remove unused import

